MATLAB Answers

Why do I encounter a "Received fatal alert: protocol_version" when installing a Support Package in MATLAB R2017a or earlier?

255 ビュー (過去 30 日間)
When installing a Support Package in MATLAB R2017a or earlier, I keep getting this message (Fatal Alert: Protocol_version). The installer says that "MATLAB is in the middle of a downloading operation".

採用された回答

MathWorks Support Team
MathWorks Support Team 2019 年 11 月 6 日
This error does not occur when installing Support Packages in MATLAB R2017b.
This issue is now resolved in the following error bug report page:
Please contact MathWorks Technical Support and create a help ticket if you run into any other related issues
  16 件のコメント
Mostafa nada
Mostafa nada 2020 年 12 月 25 日
Thank you Mr Walter
That step helped me to solve my issue <3

サインインしてコメントする。

その他の回答 (10 件)


Sharad Gholap
Sharad Gholap 2018 年 4 月 7 日
When installing a Support Package in MATLAB R2016a or earlier, I keep getting this message (Fatal Alert : Protocol_version). The installer says that "MATLAB is in the middle of a downloading operation".
  2 件のコメント
emad shokrallah
emad shokrallah 2018 年 5 月 31 日
sharad Gholap if u found the error please conatct me because i have also Matlab R2016a and cant install the hardware raspberry pi package

サインインしてコメントする。


Tech Support
Tech Support 2018 年 4 月 13 日
Hi,
If you are still having trouble installing the support package, please contact MathWorks support:
-Justin
MathWorks Installation & Licensing Support


Efrain Teran
Efrain Teran 2018 年 11 月 1 日
The solution worked well in my 2015a version. Please be aware that, in summary, you just need to add one file to the bin>win64 folder (in the windows version) and a couple to the bugreport folder.
  3 件のコメント
zhengke Liu
zhengke Liu 2020 年 4 月 30 日
thank you,I follow your instruction and it works.my version is 2015b

サインインしてコメントする。


HASSAN essakhi
HASSAN essakhi 2019 年 3 月 24 日
hello ,thas any one solve this prb ?? download failed received fatal alert protocol_version matlab


Bhuvana Krishnaraj
Bhuvana Krishnaraj 2019 年 6 月 4 日
When installing a Support Package in MATLAB R2015a, I keep getting this message (Fatal Alert : Protocol_version). I tried that java.opts but also i am getting the same error how clear it ,please help any one to me.....
  1 件のコメント
Colin Fraser
Colin Fraser 2019 年 6 月 5 日
Make sure you place the java.opts file in the following directory:
C:\Program Files\MATLAB\R2015a\bin\win64
If you are still having trouble installing the support package, please contact MathWorks support:
-Colin
MathWorks Installation & Licensing Support

サインインしてコメントする。


baojun
baojun 2020 年 12 月 31 日
How to solve this problem
“There was an error installing third-party software for Support Package Android:
C:\MATLAB\SupportPackages\R2016a\downloads\android_download
does not contain archives for third-party software used by the support package.
To continue with support package installation:
Use "Install from Internet"
or
Use "Download from Internet" to download the complete set of files, and retry installing from folder."

seifeddine hadj mohamed
seifeddine hadj mohamed 2021 年 3 月 2 日
i have matlab 2015a version and i got the same problem for downloading the raspberry pi package.
i created a file named java.opts and paste the following line : -Dhttps.protocols=TLSv1,TLSv1.1,TLSv1.2
and then paste the file in the C:\Program Files\MATLAB\MATLAB Production Server\R2015a\bin\win64 path
and it worked finaly :)

タグ

タグが未入力です。

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!

Translated by